Bug 221982 - bsdinstall creates wpa_supplicant.conf with missing indentation
Summary: bsdinstall creates wpa_supplicant.conf with missing indentation
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: Devin Teske
URL: https://reviews.freebsd.org/D13190
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-01 16:39 UTC by Ed Maste
Modified: 2020-05-25 21:08 UTC (History)
1 user (show)

See Also:
emaste: mfc-stable11?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Maste freebsd_committer 2017-09-01 16:39:26 UTC
r309934 cleaned up some cases in bsdinstall to use heredocs but broke the indentation of the generated output - i.e. on a fresh install on a new laptop I ended up with:

netowrk={
ssid="myssid"
scan_ssid=0
psk="sharedkey"
priority=5
}

sh.1:
If the operator is “<<-” instead of “<<”, then leading tabs in the here-doc-text are stripped.
Comment 1 Devin Teske freebsd_committer 2017-09-06 23:13:41 UTC
Thanks for reporting this. I'll have a look ASAP
Comment 2 commit-hook freebsd_committer 2017-11-22 15:18:31 UTC
A commit references this bug:

Author: emaste
Date: Wed Nov 22 15:18:11 UTC 2017
New revision: 326094
URL: https://svnweb.freebsd.org/changeset/base/326094

Log:
  Fix indentation in bsdinstall-created wpa_supplicant.conf

  r309934 cleaned up some cases in bsdinstall to use heredocs but broke
  the indentation of the generated output, because <<- heredocs strip
  leading tabs.

  PR:		221982
  Reviewed by:	allanjude, dteske
  MFC after:	2 weeks
  Sponsored by:	The FreeBSD Foundation
  Differential Revision:	https://reviews.freebsd.org/D13190

Changes:
  head/usr.sbin/bsdinstall/scripts/wlanconfig
Comment 3 commit-hook freebsd_committer 2017-12-07 03:57:30 UTC
A commit references this bug:

Author: emaste
Date: Thu Dec  7 03:57:12 UTC 2017
New revision: 326653
URL: https://svnweb.freebsd.org/changeset/base/326653

Log:
  MFC r326094: Fix indentation in bsdinstall-created wpa_supplicant.conf

  r311690 (MFC of r309934) cleaned up some cases in bsdinstall to use
  heredocs but broke the indentation of the generated output, because <<-
  heredocs strip leading tabs.

  PR:		221982

Changes:
_U  stable/11/
  stable/11/usr.sbin/bsdinstall/scripts/wlanconfig
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:48:34 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.
Comment 5 Ed Maste freebsd_committer 2018-05-28 19:49:19 UTC
MFC'd to 11, no more releases to come from 10.
Comment 6 Ed Maste freebsd_committer 2020-02-10 18:57:33 UTC
re-open, just observed this again on a fresh snapshot install
Comment 7 Ed Maste freebsd_committer 2020-02-15 00:23:48 UTC
https://reviews.freebsd.org/D23641
Comment 8 commit-hook freebsd_committer 2020-05-20 21:40:15 UTC
A commit references this bug:

Author: dteske
Date: Wed May 20 21:39:20 UTC 2020
New revision: 361300
URL: https://svnweb.freebsd.org/changeset/base/361300

Log:
  Fix indentation in bsdinstall-created wpa_supplicant.conf

  PR:		base/221982
  Reported by:	emaste
  Reviewed by:	emaste, allanjude
  MFC after:	0 days
  X-MFC-to:	stable/11
  Differential Revision:	https://reviews.freebsd.org/D23641

Changes:
  head/usr.sbin/bsdinstall/scripts/wlanconfig
Comment 9 commit-hook freebsd_committer 2020-05-20 22:21:27 UTC
A commit references this bug:

Author: dteske
Date: Wed May 20 22:20:54 UTC 2020
New revision: 361305
URL: https://svnweb.freebsd.org/changeset/base/361305

Log:
  MFC r361300: Fix indentation in bsdinstall-created wpa_supplicant.conf

  PR:		base/221982
  Reported by:	emaste
  Reviewed by:	emaste, allanjude
  Differential Revision:	https://reviews.freebsd.org/D23641

Changes:
_U  stable/11/
  stable/11/usr.sbin/bsdinstall/scripts/wlanconfig
Comment 10 commit-hook freebsd_committer 2020-05-20 23:27:35 UTC
A commit references this bug:

Author: dteske
Date: Wed May 20 23:27:02 UTC 2020
New revision: 361309
URL: https://svnweb.freebsd.org/changeset/base/361309

Log:
  MFC r361300: Fix indentation in bsdinstall-created wpa_supplicant.conf

  PR:		base/221982
  Reported by:	emaste
  Reviewed by:	emaste, allanjude
  Differential Revision:	https://reviews.freebsd.org/D23641

Changes:
_U  stable/12/
  stable/12/usr.sbin/bsdinstall/scripts/wlanconfig